|
|||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | ||||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | ||||||||||
java.lang.Objectorg.opencms.workplace.CmsWorkplace
org.opencms.workplace.tools.CmsToolDialog
org.opencms.workplace.CmsDialog
org.opencms.workplace.commons.CmsUndoChanges
Provides methods for the undo changes on a resource dialog.
The following files use this class:
| Field Summary | |
static int |
ACTION_UNDOCHANGES
Value for the action: undo changes. |
static String |
DIALOG_TYPE
The dialog type. |
static String |
PARAM_RECURSIVE
Request parameter name for the recursive flag. |
| Fields inherited from class org.opencms.workplace.tools.CmsToolDialog |
PARAM_PATH, PARAM_ROOT, PARAM_STYLE |
| Constructor Summary | |
CmsUndoChanges(CmsJspActionElement jsp)
Public constructor with JSP action element. |
|
CmsUndoChanges(PageContext context,
HttpServletRequest req,
HttpServletResponse res)
Public constructor with JSP variables. |
|
| Method Summary | |
void |
actionUndoChanges()
Performs the undo changes action, will be called by the JSP page. |
String |
buildCheckRecursive()
Creates the "recursive" checkbox for undoing changes to subresources of folders. |
CmsResource |
getCurrentResource()
Returns the current CmsResource. |
String |
getFileName()
Returns the file name without path information of the current resource. |
String |
getLastModifiedDate()
Returns the last modified date of the current resource as localized String. |
String |
getLastModifiedUser()
Returns the user who made the last changes to the current resource. |
String |
getParamRecursive()
Returns the value of the recursive parameter, or null if this parameter was not provided. |
protected void |
initWorkplaceRequestValues(CmsWorkplaceSettings settings,
HttpServletRequest request)
Analyzes the request for workplace parameters and adjusts the workplace settings accordingly. |
void |
setCurrentResource(CmsResource res)
Sets the current CmsResource. |
void |
setParamRecursive(String value)
Sets the value of the recursive parameter. |
| Methods inherited from class org.opencms.workplace.tools.CmsToolDialog |
dialogTitle, getAdminTool, getCurrentToolPath, getParamPath, getParamRoot, getParamStyle, getParentPath, getToolManager, iconsBlockArea, iconsBlockAreaEnd, iconsBlockAreaStart, initAdminTool, pageBody, pageHtmlStyle, setParamPath, setParamRoot, setParamStyle, useNewStyle |
| Methods inherited from class java.lang.Object |
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
public static final int ACTION_UNDOCHANGES
public static final String DIALOG_TYPE
public static final String PARAM_RECURSIVE
| Constructor Detail |
public CmsUndoChanges(CmsJspActionElement jsp)
jsp - an initialized JSP action element
public CmsUndoChanges(PageContext context,
HttpServletRequest req,
HttpServletResponse res)
context - the JSP page contextreq - the JSP requestres - the JSP response| Method Detail |
public void actionUndoChanges()
throws JspException
JspException - if problems including sub-elements occurpublic String buildCheckRecursive()
public CmsResource getCurrentResource()
public String getFileName()
public String getLastModifiedDate()
public String getLastModifiedUser()
public String getParamRecursive()
The recursive parameter on folders decides if all subresources of the folder should be unchanged, too.
public void setCurrentResource(CmsResource res)
res - the CmsResourcepublic void setParamRecursive(String value)
value - the value to set
protected void initWorkplaceRequestValues(CmsWorkplaceSettings settings,
HttpServletRequest request)
CmsWorkplace
initWorkplaceRequestValues in class CmsDialogCmsWorkplace.initWorkplaceRequestValues(org.opencms.workplace.CmsWorkplaceSettings, javax.servlet.http.HttpServletRequest)
|
|||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | ||||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | ||||||||||